メインコンテンツへ移動
Nowledge MemNowledge Mem

Timelineレビューのプレビューまたは確認

POST
/agent/feed/events/{event_id}/review

phase=previewを選択すると、完全に認可された証拠と提案されたグラフ効果を読み取ります。 そのスナップショットを意思決定者に示し、その後、正確なplan_idと変更されていないコマンドを付けてphase=applyを送信します。 競合が発生した場合は、明示的な新しいプレビューが必要であり、不可視のリフレッシュと再試行は決して行いません。 グラフの変更とその権威あるレシートは一緒にコミットされます。 認可された再試行は、要求されたアクションと異なる場合でも、元の決定を返します。 却下およびメモのみのアクションは、計画なしでphase=applyを使用できます。 古いサーバーはこのエンドポイントを提供しません。 プレビューやグラフ確認のためにレガシーのresolveエンドポイントにフォールバックしないでください。

パスパラメータ

event_id*string

TimelineレビューイベントID

リクエストボディ

application/json

TypeScript定義

TypeScriptでrequest body型を使用します。

プロトコルのみのnmem-wireリクエストのドキュメントミラー。 ライブルートは共有リクエストをデシリアライズし、契約テストは両方の形式を比較します。

レスポンスボディ

application/json

curl -X POST "https://example.com/agent/feed/events/string/review" \  -H "Content-Type: application/json" \  -d '{    "action": "keep_newer_as_latest",    "phase": "preview"  }'
{  "action": null,  "event_id": "string",  "message": "string",  "protocol_version": 0,  "result": {    "action": "string",    "action_result": null,    "already_resolved": true,    "event_id": "string",    "preview": null,    "projection_pending": true,    "receipt": null,    "resolution": "string",    "resolution_note": "string",    "success": true  },  "success": true}